> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getello.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Phone Numbers

> Retreives a paginated list of phone numbers



## OpenAPI

````yaml /api-reference/openapi.json get /api/phone-number
openapi: 3.1.0
info:
  title: Ello.AI API
  description: API for managing agents and calls in Ello.AI
  version: 1.0.0
servers:
  - url: https://api.getello.ai/
security: []
paths:
  /api/phone-number:
    get:
      tags:
        - Phone Numbers
      summary: List Phone Numbers
      description: Retreives a paginated list of phone numbers
      parameters:
        - name: page
          in: query
          required: false
          description: Page number for pagination.
          schema:
            type: integer
            example: 1
        - name: size
          in: query
          required: false
          description: Number of phone numbers to return per page.
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: Phone numbers fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Phone numbers fetched successfully
                  data:
                    type: object
                    example:
                      total: 3
                      page: 1
                      size: 10
                      phone_numbers:
                        - _id: 6901a88b23bc1023d88134fa
                          number: '+14155552671'
                          status: active
                          type: inbound
                          created_at: '2025-10-10T09:30:00Z'
                        - _id: 6901a88b23bc1023d88134fb
                          number: '+14155559876'
                          status: inactive
                          type: outbound
                          created_at: '2025-09-20T11:45:00Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                  message:
                    type: string
                    example: Failed to get user phone numbers
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 401
                  message:
                    type: string
                    example: Unauthorized access
                  details:
                    type: string
                    example: Authentication token is missing or invalid
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                  message:
                    type: string
                    example: Error while getting user phone numbers
      security:
        - apiKey: []
        - bearerAuth: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````